import { initLogin } from "./devLogin";
import "./styles/global.css";
import { createApp } from "vue";
import App from "./App.vue";
import router from "@/router";
import filters from "@/filters";
import Antd from "ant-design-vue";
import "ant-design-vue/dist/antd.css";
import QmButton from "@/components/QmButton.vue";
import QmDialog from "@/components/QmDialog.vue";

// if(process.env.NODE_ENV)
// console.log(import.meta.env.DEV);
const app = createApp(App);
app.use(router);
app.use(Antd);
app.config.globalProperties.$filters = filters;

app.component("qm-button", QmButton);
app.component("qm-dialog", QmDialog);

if (import.meta.env.DEV) {
  initLogin().then(() => {
    app.mount("#app");
  });
} else {
  app.mount("#app");
}
