import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";

const path = require("path");

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue()],
  server: {
    port: 9000,
    strictPort: true,
    proxy: {
      "/login": {
        target: "http://192.168.10.224:8080",
        changeOrigin: true,
      },
      "/mark": {
        target: "http://192.168.10.224:8080",
        changeOrigin: true,
      },
      "/admin": {
        target: "http://192.168.10.224:8080",
        changeOrigin: true,
      },
      "/api": {
        target: "http://192.168.10.224:8080",
        changeOrigin: true,
      },
    },
  },
  resolve: {
    alias: [{ find: "@", replacement: path.resolve(__dirname, "./src") }],
    extensions: [".js", ".ts", ".vue", ".json", ".scss", ".css"],
  },
  // define: {
  //   __VUE_PROD_DEVTOOLS__: true, // no effect
  // },
});
